<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Wspolne_model extends CI_Model {
    public function __construct() {
        parent::__construct();
        $this->load->database();
    }

    // SPRAWDŹ CZY ELEMENT ISTNIEJE W TABELI:
    function has($table, $column, $value) {
        $this->db->where($column,$value);
        if ($this->db->get($table)->num_rows() > 0){
            return true;
        }
        else{
            return false;
        }
    }

    function pobierzListe($tabela, $order = false) {
        if($order != false){
            $this->db->order_by($order);
        }
        else{
            $this->db->order_by('id');    
        }
        
        return $this->db->get($tabela)->result_array();
    }
    
    
    // tabela, $klumna i $value dla konkretnego wpisu, 
    function pobierzListeSelect($tabela, $kolumna = false, $value = false, $tryb_json = false, $zero_tez = false) {
        $this->db->order_by('id');
        if($kolumna && $value){
            $this->db->where($kolumna, $value );    
        }
        
        $tablica = $this->db->get($tabela)->result_array();
        $tablica2 = array();
        if($tryb_json){
            $tablica2 = $tablica;
        }
        else{
            if($zero_tez){
                $tablica2[ 0 ] = 'Wybierz jedną z opcji';
            }
            foreach($tablica as $el ){
                $tablica2[ $el['id'] ] = $el['nazwa'];
            }            
        }

        return $tablica2;
    }
    
    // SPRAWDŹ CZY ELEMENT ISTNIEJE W TABELI ^

        // uniwersalna funkcja dodawania wierszy do tabeli
    function dodajElement( $tabela, $dane, $pomin = false ){
        $zapytanie = '';
        foreach($dane as $kl => $wart){
            if($kl != $pomin ){
                $zapytanie .= " ".$kl."= '".$wart."' AND ";      
            }
            
        }
        $zapytanie = substr($zapytanie, 0,-4);

        // czy wiersza nie ma już w tabeli
        $q = "SELECT id FROM ".$tabela." WHERE ".$zapytanie;
        //echo $q;
        $queryx = $this->db->query($q);
        $result = $queryx->num_rows();
        // jeśli już jest to odeślij z niczym
        if( $result > 0 ){
            return $result; // zwroc liczbe zapytan
            //return $queryx->fetch_array();  
        }
        // jeśli nie ma, to dodaj
        else{
             $this->db->insert($tabela, $dane);
            return 0;         
        }
        
        //echo  $this->db->set($dane)->get_compiled_insert($tabela);
    }   
    
    function edytujElement($tabela, $nazwa, $id, $indexik = 'nazwa') {
        $this->db->set($indexik, $nazwa);
        $this->db->where('id', $id);
        return $this->db->update($tabela);
    } 
    
  
    
    function usunElement($tabela, $id) {
        $this->db->where('id', $id);
        return $this->db->delete($tabela);
    } 
    
        // funkcja uniwersalna pokazujaca wynik z tabeli $tabela o zadanym $id 
    function pobierzJeden($id,$tabela) {
        $this->db->order_by('id');
        $this->db->where('id',$id);
        return $this->db->get($tabela)->result();
    } 
    
    function rejestruj_szczegoly($grupa, $email, $posty ){
        // pobierz ostatnio wrzuconego do bazy
        $this->db->select('id');
        $this->db->where('email',$email);
        $wynik = $this->db->get('users')->result_array();
        
        if(!$wynik){
            return -1;
        }
        else{
            if($grupa == 'pracodawca'){
                 $dane = array(
                    'id_users' => $wynik[0]['id'],
                     'opis_dzialalnosci' => $posty['opis_dzialalnosci'],
                    //'kwalifikacje' => $posty['kwalifikacje'],
                    'ulica' => $posty['adres_ulica'],
                    'nrdomu' => $posty['adres_nrdomu'],
                    'nrlokalu' => $posty['adres_nrlokalu'],
                    'kodpocztowy' => $posty['kodpocztowy'],
                    'miejscowosc' => $posty['miasto'],
                );               
            }
            elseif($grupa == 'uczen'){
                $dane = array(
                    'id_users' => $wynik[0]['id'],
                    'imie_nazwisko' => $posty['first_name']." ".$posty['last_name'],
                    'wiek' => $posty['wiek'],
                    'szkola' => $posty['szkola'],
                    'klasa' => $posty['klasa'],
                    'kierunek' => $posty['kierunek'],
                );                
            }
            else{
                
            }
            if($this->db->insert('users_szczegoly',$dane)){
                return true;
            }
            else{
                return false;
            }

        }
        
        
        
        
        
        if($rodzaj == 'pracodawca'){
            
        }
        elseif($rodzaj == 'uczen'){
            
        }
        else{
            
        }
    }
    

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    // POBIERZ ^
}
